﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3053
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization
Imports System.Xml

'PD 31/01/2011
'Generated code modified by hand  Inherits Object
'Class CTSRefundCreateResponse altered by removing the line "Inherits Object"

Namespace WebService
'
'This source code was auto-generated by xsd, Version=2.0.50727.3038.
'

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
 SerializableAttribute(), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code"), _
 Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
 Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
Partial Public Class CTSRefundCreateRequest
        Implements ComponentModel.INotifyPropertyChanged

        Private dateTimeStampField As CTSRefundCreateRequestDateTimeStamp

    Private refundHeaderField As CTSRefundCreateRequestRefundHeader

    Private refundLinesField() As CTSRefundCreateRequestRefundLine

    '''<remarks/>
    Public Property DateTimeStamp() As CTSRefundCreateRequestDateTimeStamp
        Get
            Return Me.dateTimeStampField
        End Get
        Set(ByVal value As CTSRefundCreateRequestDateTimeStamp)
            Me.dateTimeStampField = value
            Me.RaisePropertyChanged("DateTimeStamp")
        End Set
    End Property

    '''<remarks/>
    Public Property RefundHeader() As CTSRefundCreateRequestRefundHeader
        Get
            Return Me.refundHeaderField
        End Get
        Set(ByVal value As CTSRefundCreateRequestRefundHeader)
            Me.refundHeaderField = value
            Me.RaisePropertyChanged("RefundHeader")
        End Set
    End Property

    '''<remarks/>
    <Xml.Serialization.XmlArrayItemAttribute("RefundLine", IsNullable:=False)> _
    Public Property RefundLines() As CTSRefundCreateRequestRefundLine()
        Get
            Return Me.refundLinesField
        End Get
        Set(ByVal value As CTSRefundCreateRequestRefundLine())
            Me.refundLinesField = value
            Me.RaisePropertyChanged("RefundLines")
        End Set
    End Property

    Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Protected Sub RaisePropertyChanged(ByVal propertyName As String)
        Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
        If (Not (propertyChanged) Is Nothing) Then
            propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
        End If
    End Sub
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
 SerializableAttribute(), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code"), _
 Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
Partial Public Class CTSRefundCreateRequestDateTimeStamp
    Inherits Object
    Implements ComponentModel.INotifyPropertyChanged

    Private valueField As Date

    '''<remarks/>
    <Xml.Serialization.XmlTextAttribute()> _
    Public Property Value() As Date
        Get
            Return Me.valueField
        End Get
        Set(ByVal value As Date)
            Me.valueField = value
            Me.RaisePropertyChanged("Value")
        End Set
    End Property

    Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Protected Sub RaisePropertyChanged(ByVal propertyName As String)
        Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
        If (Not (propertyChanged) Is Nothing) Then
            propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
        End If
    End Sub
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
 SerializableAttribute(), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code"), _
 Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
Partial Public Class CTSRefundCreateRequestRefundHeader
    Inherits Object
    Implements ComponentModel.INotifyPropertyChanged

    Private sourceField As String

    Private sourceOrderNumberField As String

    Private storeOrderNumberField As String

    Private refundDateField As CTSRefundCreateRequestRefundHeaderRefundDate

    Private refundSeqField As String

    Private loyaltyCardNumberField As String

    Private deliveryChargeRefundValueField As Decimal

    Private refundTotalField As Decimal

    '''<remarks/>
    Public Property Source() As String
        Get
            Return Me.sourceField
        End Get
        Set(ByVal value As String)
            Me.sourceField = value
            Me.RaisePropertyChanged("Source")
        End Set
    End Property

    '''<remarks/>
    Public Property SourceOrderNumber() As String
        Get
            Return Me.sourceOrderNumberField
        End Get
        Set(ByVal value As String)
            Me.sourceOrderNumberField = value
            Me.RaisePropertyChanged("SourceOrderNumber")
        End Set
    End Property

    '''<remarks/>
    <Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
    Public Property StoreOrderNumber() As String
        Get
            Return Me.storeOrderNumberField
        End Get
        Set(ByVal value As String)
            Me.storeOrderNumberField = value
            Me.RaisePropertyChanged("StoreOrderNumber")
        End Set
    End Property

    '''<remarks/>
    Public Property RefundDate() As CTSRefundCreateRequestRefundHeaderRefundDate
        Get
            Return Me.refundDateField
        End Get
        Set(ByVal value As CTSRefundCreateRequestRefundHeaderRefundDate)
            Me.refundDateField = value
            Me.RaisePropertyChanged("RefundDate")
        End Set
    End Property

    '''<remarks/>
    <Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
    Public Property RefundSeq() As String
        Get
            Return Me.refundSeqField
        End Get
        Set(ByVal value As String)
            Me.refundSeqField = value
            Me.RaisePropertyChanged("RefundSeq")
        End Set
    End Property

    '''<remarks/>
    Public Property LoyaltyCardNumber() As String
        Get
            Return Me.loyaltyCardNumberField
        End Get
        Set(ByVal value As String)
            Me.loyaltyCardNumberField = value
            Me.RaisePropertyChanged("LoyaltyCardNumber")
        End Set
    End Property

    '''<remarks/>
    Public Property DeliveryChargeRefundValue() As Decimal
        Get
            Return Me.deliveryChargeRefundValueField
        End Get
        Set(ByVal value As Decimal)
            Me.deliveryChargeRefundValueField = value
            Me.RaisePropertyChanged("DeliveryChargeRefundValue")
        End Set
    End Property

    '''<remarks/>
    Public Property RefundTotal() As Decimal
        Get
            Return Me.refundTotalField
        End Get
        Set(ByVal value As Decimal)
            Me.refundTotalField = value
            Me.RaisePropertyChanged("RefundTotal")
        End Set
    End Property

    Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Protected Sub RaisePropertyChanged(ByVal propertyName As String)
        Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
        If (Not (propertyChanged) Is Nothing) Then
            propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
        End If
    End Sub
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
 SerializableAttribute(), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code"), _
 Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
Partial Public Class CTSRefundCreateRequestRefundHeaderRefundDate
    Inherits Object
    Implements ComponentModel.INotifyPropertyChanged

    Private valueField As Date

    '''<remarks/>
    <Xml.Serialization.XmlTextAttribute()> _
    Public Property Value() As Date
        Get
            Return Me.valueField
        End Get
        Set(ByVal value As Date)
            Me.valueField = value
            Me.RaisePropertyChanged("Value")
        End Set
    End Property

    Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Protected Sub RaisePropertyChanged(ByVal propertyName As String)
        Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
        If (Not (propertyChanged) Is Nothing) Then
            propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
        End If
    End Sub
End Class

'''<remarks/>
<CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
 SerializableAttribute(), _
 Diagnostics.DebuggerStepThroughAttribute(), _
 ComponentModel.DesignerCategoryAttribute("code"), _
 Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
Partial Public Class CTSRefundCreateRequestRefundLine
    Inherits Object
    Implements ComponentModel.INotifyPropertyChanged

    Private storeLineNoField As String

    Private productCodeField As String

    Private quantityCancelledField As String

    Private refundLineValueField As Decimal

    '''<remarks/>
    <Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
    Public Property StoreLineNo() As String
        Get
            Return Me.storeLineNoField
        End Get
        Set(ByVal value As String)
            Me.storeLineNoField = value
            Me.RaisePropertyChanged("StoreLineNo")
        End Set
    End Property

    '''<remarks/>
    <Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
    Public Property ProductCode() As String
        Get
            Return Me.productCodeField
        End Get
        Set(ByVal value As String)
            Me.productCodeField = value
            Me.RaisePropertyChanged("ProductCode")
        End Set
    End Property

    '''<remarks/>
    <Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
    Public Property QuantityCancelled() As String
        Get
            Return Me.quantityCancelledField
        End Get
        Set(ByVal value As String)
            Me.quantityCancelledField = value
            Me.RaisePropertyChanged("QuantityCancelled")
        End Set
    End Property

    '''<remarks/>
    Public Property RefundLineValue() As Decimal
        Get
            Return Me.refundLineValueField
        End Get
        Set(ByVal value As Decimal)
            Me.refundLineValueField = value
            Me.RaisePropertyChanged("RefundLineValue")
        End Set
    End Property

    Public Event PropertyChanged As ComponentModel.PropertyChangedEventHandler Implements Global.System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Protected Sub RaisePropertyChanged(ByVal propertyName As String)
        Dim propertyChanged As ComponentModel.PropertyChangedEventHandler = Me.PropertyChangedEvent
        If (Not (propertyChanged) Is Nothing) Then
            propertyChanged(Me, New ComponentModel.PropertyChangedEventArgs(propertyName))
        End If
    End Sub
End Class
End Namespace
